api reference
POST
/v1/uploads

Header Parameters

authorization?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Body of POST /uploads: what the file is for, and its name and type.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/uploads" \  -H "Content-Type: application/json" \  -d '{    "purpose": "email_attachment",    "filename": "string",    "content_type": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "purpose": "email_attachment",  "upload_url": "string",  "method": "PUT",  "content_type": "string",  "max_bytes": 0,  "expires_at": "2019-08-24T14:15:22Z"}